Nimbu Developer Docs
ReferenceInvoices

List invoices

GET
/invoices

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Response Body

application/json

curl -X GET "https://example.com/invoices"
[
  {
    "number": "string",
    "type": "string",
    "url": "http://example.com",
    "created_at": "2019-08-24T14:15:22Z",
    "order_number": "string",
    "notes": "string",
    "file": "http://example.com",
    "order": {
      "id": "string",
      "state": "string",
      "url": "http://example.com",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "customer": {},
      "currency": "string",
      "totals": {},
      "billing_address": {},
      "shipping_address": {},
      "shipping_method": "string",
      "items": [
        {
          "id": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "product_id": "string",
          "product_name": "string",
          "variant_id": "string",
          "variant_name": "string",
          "sku": "string",
          "quantity": 0,
          "price": 0,
          "price_excl_tax": 0,
          "vendor": "string",
          "type": "string",
          "deposit_amount": 0,
          "extras": [
            {}
          ],
          "group": "string"
        }
      ],
      "number": "string",
      "paid": true,
      "fulfilled": true,
      "paid_at": "2019-08-24T14:15:22Z",
      "payment": {},
      "coupons": [
        "string"
      ],
      "expires_at": "2019-08-24T14:15:22Z",
      "comments": "string",
      "invoice_note": "string",
      "metadata": {},
      "cancel_reason": "string",
      "shipment_tracking_code": "string",
      "placed_at": "2019-08-24T14:15:22Z",
      "invoice_number": "string",
      "credit_note_number": "string",
      "digital": true,
      "attachment_status": "string",
      "attachments_with_warnings": true,
      "attachments": [
        {}
      ]
    },
    "customer": {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "name": "string",
      "firstname": "string",
      "lastname": "string",
      "email": "string",
      "language": "string",
      "number": "string",
      "slug": "string",
      "status": "string",
      "groups": [
        "string"
      ],
      "url": "http://example.com",
      "verified_email": true,
      "verified_at": "2019-08-24T14:15:22Z",
      "suspended": true,
      "suspended_at": "2019-08-24T14:15:22Z",
      "addresses": [
        {
          "id": "string",
          "firstname": "string",
          "lastname": "string",
          "company": "string",
          "address1": "string",
          "address2": "string",
          "zip": "string",
          "city": "string",
          "country": "string",
          "phone": "string",
          "default_billing": true,
          "default_shipping": true
        }
      ],
      "confirmation_token": "string",
      "last_activity_at": "2019-08-24T14:15:22Z",
      "roles": [
        "string"
      ]
    }
  }
]
Empty